-- Adjust this setting to control where the objects get created.

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION sqlserver_compatible" to load this file. \quit

SET search_path = public;
-------------- charindex function --------------------
CREATE FUNCTION charindex(value varchar,varchar)
RETURNS integer
AS $$ SELECT position($1 IN $2); $$
LANGUAGE SQL IMMUTABLE STRICT;

CREATE FUNCTION charindex(value varchar,varchar,numeric) 
RETURNS integer 
AS $$ 
DECLARE
 rcnt integer;
 wkstart ALIAS FOR $3;
BEGIN
 IF wkstart < 1 THEN
  wkstart = 1;
 END IF;
 SELECT position($1 IN substring($2, CAST(trunc(wkstart) AS integer))) INTO rcnt;
 IF rcnt > 0 THEN
  RETURN rcnt+trunc(wkstart)-1;
 END IF;
 RETURN 0;
END; $$ 
LANGUAGE PLPGSQL IMMUTABLE STRICT;
-------------- text+text bytea+bytea --------------------
CREATE OPERATOR + (
   leftarg = text
   ,rightarg = text
   ,procedure = textcat
   ,commutator = +
);

CREATE OPERATOR + 
(leftarg = bytea,
rightarg = bytea,
procedure = byteacat,
commutator = +
);

